Library Version 18.1.40

Db::get_priority()
Prev | Chapter 2. The Db Handle | Next

## Db::get_priority()

    #include <db_cxx.h>

    int
    Db::get_priority(DB_CACHE_PRIORITY *priorityp);

The `Db::get_priority()` method returns the cache priority for pages referenced by the Db handle. This priority value is set using the Db::set_priority() method.

The `Db::get_priority()` method may be called only after the database has been opened.

The `Db::get_priority()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### priorityp

The `Db::get_priority()` method returns a reference to the cache priority in priorityp. See Db::set_priority() for a list of possible priorities.

### Class

Db

### See Also

Database and Related Methods, Db::set_priority()

Prev | Up | Next
Db::get_pagesize() | Home | Db::get_q_extentsize()